package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class PelayananProfile
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "PelayananProfile_M")
public class PelayananProfileVO extends BaseMasterVO {
	@Caption(value="HariVO Buka Dlm Minggu")
	private String hariBukaDlmMinggu;

	public void setHariBukaDlmMinggu(String hariBukaDlmMinggu) {
		this.hariBukaDlmMinggu = hariBukaDlmMinggu;
	}

	@Column(name = "HariBukaDlmMinggu", nullable = true , length = 75)
	public String getHariBukaDlmMinggu(){
		return this.hariBukaDlmMinggu;
	}

	@Caption(value="Jam Buka Dlm Hari")
	private String jamBukaDlmHari;

	public void setJamBukaDlmHari(String jamBukaDlmHari) {
		this.jamBukaDlmHari = jamBukaDlmHari;
	}

	@Column(name = "JamBukaDlmHari", nullable = true , length = 150)
	public String getJamBukaDlmHari(){
		return this.jamBukaDlmHari;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectJenisPelayananProfileFk")
	@NotNull(message="Object Jenis Pelayanan ProfileVO Harus Diisi")
	@Caption(value="Object Jenis Pelayanan Profile")
	private JenisPelayananProfileVO jenisPelayananProfile;

	public void setJenisPelayananProfile(JenisPelayananProfileVO jenisPelayananProfile) {
		this.jenisPelayananProfile = jenisPelayananProfile;
	}

	@Column(name = "KdJenisPelayananProfile", nullable = false , length = 1)
	public JenisPelayananProfileVO getJenisPelayananProfile(){
		return this.jenisPelayananProfile;
	}

	@Column(name = "ObjectJenisPelayananProfileFk", insertable=false,updatable=false)
	private Integer jenisPelayananProfileId;

	@Caption(value="Kode Pelayanan Profile")
	private String kdPelayananProfile;

	public void setKdPelayananProfile(String kdPelayananProfile) {
		this.kdPelayananProfile = kdPelayananProfile;
	}

	@Column(name = "KdPelayananProfile", nullable = false , length = 3)
	public String getKdPelayananProfile(){
		return this.kdPelayananProfile;
	}

	@Caption(value="Pelayanan Profile")
	private String pelayananProfile;

	public void setPelayananProfile(String pelayananProfile) {
		this.pelayananProfile = pelayananProfile;
	}

	@Column(name = "PelayananProfile", nullable = false , length = 75)
	public String getPelayananProfile(){
		return this.pelayananProfile;
	}

	@Caption(value="QPelayanan Profile")
	private short qPelayananProfile;

	public void setqPelayananProfile(short qPelayananProfile) {
		this.qPelayananProfile = qPelayananProfile;
	}

	@Column(name = "QPelayananProfile", nullable = false )
	public short getqPelayananProfile(){
		return this.qPelayananProfile;
	}

	@Caption(value="Qty Buka Dlm Minggu")
	private Byte qtyBukaDlmMinggu;

	public void setqtyBukaDlmMinggu(Byte qtyBukaDlmMinggu) {
		this.qtyBukaDlmMinggu = qtyBukaDlmMinggu;
	}

	@Column(name = "QtyBukaDlmMinggu", nullable = true )
	public Byte getqtyBukaDlmMinggu(){
		return this.qtyBukaDlmMinggu;
	}
	
	/*//
	@OneToMany(fetch=FetchType.LAZY, cascade = CascadeType.ALL, mappedBy="kdpelayananprofile")
	private Set<KasusPenyakit> KasusPenyakitSet = new HashSet<KasusPenyakit>();

	public Set<KasusPenyakit> getKasusPenyakitSet() {
		return KasusPenyakitSet;
	}

	public void setKasusPenyakitSet(Set<KasusPenyakit> kasusPenyakitSet) {
		KasusPenyakitSet = kasusPenyakitSet;
	}
*/

}

